- Qt 5.15
- Qt 3D
- QML Types
- ClipPlane QML Type
- Qt 5.15.13 Reference Documentation

# ClipPlane QML Type

Enables an additional OpenGL clipping plane that can be in shaders using gl_ClipDistance. More...

Import Statement: | import Qt3D.Render 2.15
Since: | Qt 5.5
Inherits: | RenderState

- List of all members, including inherited members

## Properties

- distance : real
- normal : vector3d
- planeIndex : int

## Detailed Description

By default, OpenGL supports up to 8 additional clipping planes. ClipPlane allows to enable one of these additional planes. These planes can then be manipulated in the shaders using gl_ClipDistance[i] where i varies between 0 and 7. The underlying implementation may support more than 8 clip planes, but it is not guaranteed.

## Property Documentation

distance : real

Holds the distance of the plane from the world origin.

normal : vector3d

Holds the normal of the plane.

planeIndex : int

Holds the index of the plane.

Note: Usually between 0-7.